Subject: Re: A question:

From: [email-masked] (Mi Mi)
Date: Sun, 26 Sep 93 08:01:10 CDT

/Would you ask INS what we should do after the principals have been approved?

My wife had been asked to do finger print (I-89) when she got her receipt 
notice. This time, INS just tell her to wait for about six month to get her
green card to be made and mailed to her.

For those who have not done I-89 (including me), we have to go to local INS
to do finger print (I-89) after receiving the approval notice. One advantage 
for us is, when we do I-89, INS will stamp our passports so that the passports
will serve as a temporary green card. The disadvantage is, we have to wait
longer for green card than those who had done finger print upon receiving
receipt notice.

For those who have lads, you can file petition now. Either EB-3 or FB-2. For 
EB-3, it depends on your priority date and the time window available to you.
Since the time window is still open for September (current), if you got the
approval notice, you can file for your lads. INS needs your approval notice
to process your lads's application. I am not sure if we can apply after 
September 30, if the priority date is July 1. But it sounds to me we can do 
so since the priority date for October is July 1. For FB-3, the priority 
date for your lads is the date you file for them. So please hurry when you
get the approval notice.

Mi Mi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
% Mr. Mi Mi, Member of Lads-Net Committee.                    %
% To sign on/off Lads-Net News, pleas send an email to        %
%    [email-masked], with mailbody as:               %
%    sub lads-l Firstname Lastname, or signoff lads-l         %
% To post, send your message to [email-masked]           %
% To retrieve past packages, anonymous ftp at spike.rice.edu  %
%    at file /lads/9308lads.log                               %
% To sign our petition letter, please send your signatures to %
%    [email-masked], the prefered form is:                %
% Mr/Ms/Miss.Name,Number and Street,City,State,ZipCode,phone# %
%    Co-signed Spouse, Mr/Ms/Miss.Name,                       %
%    Co-signed Child,  Mr/Ms/Miss.Name                        %
% You are encouraged to send your own copies of the petition  %
%    letter to the U.S. officials. When you do, please drop   %
%    a line to [email-masked]                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%